com.mapinfo.midev.data

## Class CursorProperties

- java.lang.Object
- - java.lang.Enum
  - - com.mapinfo.midev.data.CursorProperties

All Implemented Interfaces:
  Serializable, Comparable

    public final class CursorProperties
    extends Enum

Properties supported by or requested for data provider cursors. The properties are implementation specific, however, there are a few standard properties that should be used (if supported). The standard properties are included as static constants defined on this class.

See Also:
  Serialized Form

### Field Summary

Fields
`static CursorProperties` `PAGEABLE` Indicates if the cursor should be paginated i.e it supports pagination.
`static CursorProperties` `REWINDABLE` Indicates if the cursor should be rewindable.
`static CursorProperties` `SCROLLABLE` Indicates if the cursor should be scrollable (e.g.

### Method Summary

All Methods Static Methods Concrete Methods
`static CursorProperties` `valueOf(String name)`
`static CursorProperties[]` `values()`

### Methods inherited from class java.lang.Enum

`compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Field Detail

#### SCROLLABLE

    public static final CursorProperties SCROLLABLE

Indicates if the cursor should be scrollable (e.g. fetch backwards). When used as part of a query the valid values should be either `Boolean.TRUE` or `Boolean.FALSE`. When used to indicate the cursor properties supported by an IDataSourceTable the valid values should be either `Boolean.TRUE` or `Boolean.FALSE`.

#### REWINDABLE

    public static final CursorProperties REWINDABLE

Indicates if the cursor should be rewindable. When used as part of a query the valid values should be either `Boolean.TRUE` or `Boolean.FALSE`. When used to indicate the cursor properties supported by an IDataSourceTable the valid values should be either `Boolean.TRUE` or `Boolean.FALSE`.

#### PAGEABLE

    public static final CursorProperties PAGEABLE

Indicates if the cursor should be paginated i.e it supports pagination. When used as part of a query the value will be an instance of PageInfo with the desired page. When used to indicate a supported cursor property the valid value is `Boolean.TRUE` or `Boolean.FALSE`.

### Method Detail

#### values

    public static CursorProperties[] values()

#### valueOf

    public static CursorProperties valueOf(String name)